### Type parameters

- #### T

### Hierarchy

- TransactBaseOperation<T, Update, TransactUpdate<T>>
  - TransactUpdate

### Implements

- ConditionalParamsHost

## Index

### Constructors

- constructor

### Properties

- metadata
- modelClazz
- params

### Accessors

- transactItem

### Methods

- onlyIf
- onlyIfAttribute
- operations
- returnValuesOnConditionCheckFailure
- updateAttribute

## Constructors

### constructor

- new TransactUpdate(modelClazz: ModelConstructor<T>, partitionKey: any, sortKey?: any): TransactUpdate

- Overrides TransactBaseOperation.constructor

  - Defined in dynamo/transactwrite/transact-update.ts:9

  #### Parameters

  - ##### modelClazz: ModelConstructor<T>

  - ##### partitionKey: any

  - ##### Optional sortKey: any

  #### Returns TransactUpdate

## Properties

### metadata

metadata: Metadata<T>

Inherited from TransactBaseOperation.metadata

- Defined in dynamo/transactwrite/transact-base-operation.ts:16

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from TransactBaseOperation.modelClazz

- Defined in dynamo/transactwrite/transact-base-operation.ts:17

### params

params: Update

Implementation of ConditionalParamsHost.params

Inherited from TransactBaseOperation.params

- Defined in dynamo/transactwrite/transact-base-operation.ts:15

## Accessors

### transactItem

transactItem:

Overrides TransactBaseOperation.transactItem

- Defined in dynamo/transactwrite/transact-update.ts:24

## Methods

### onlyIf

- onlyIf(...conditionDefFns: ConditionExpressionDefinitionFunction[]): TransactUpdate<T>

- Inherited from TransactBaseOperation.onlyIf

  - Defined in dynamo/transactwrite/transact-base-operation.ts:41

  #### Parameters

  - ##### Rest ...conditionDefFns: ConditionExpressionDefinitionFunction[]

  #### Returns TransactUpdate<T>

### onlyIfAttribute

- onlyIfAttribute<K>(attributePath: K): RequestConditionFunction<TransactUpdate<T>, T, K>

- Inherited from TransactBaseOperation.onlyIfAttribute

  - Defined in dynamo/transactwrite/transact-base-operation.ts:37

  #### Type parameters

  - #### K: keyof T

  #### Parameters

  - ##### attributePath: K

  #### Returns RequestConditionFunction<TransactUpdate<T>, T, K>

### operations

- operations(...updateDefFns: UpdateExpressionDefinitionFunction[]): TransactUpdate<T>

- - Defined in dynamo/transactwrite/transact-update.ts:19

  #### Parameters

  - ##### Rest ...updateDefFns: UpdateExpressionDefinitionFunction[]

  #### Returns TransactUpdate<T>

### returnValuesOnConditionCheckFailure

- returnValuesOnConditionCheckFailure(value: DynamoDB.ReturnValuesOnConditionCheckFailure): TransactUpdate<T>

- Inherited from TransactBaseOperation.returnValuesOnConditionCheckFailure

  - Defined in dynamo/transactwrite/transact-base-operation.ts:47

  #### Parameters

  - ##### value: DynamoDB.ReturnValuesOnConditionCheckFailure

  #### Returns TransactUpdate<T>

### updateAttribute

- updateAttribute<K>(attributePath: K): RequestUpdateFunction<TransactUpdate<T>, T, K>

- - Defined in dynamo/transactwrite/transact-update.ts:15

  #### Type parameters

  - #### K: keyof T

  #### Parameters

  - ##### attributePath: K

  #### Returns RequestUpdateFunction<TransactUpdate<T>, T, K>

Generated using TypeDoc